ConfigurationSectionGroup.ShouldSerializeSectionGroupInTargetVersion Method

.NET Framework 4.6 and 4.5

Indicates whether the current ConfigurationSectionGroup instance should be serialized when the configuration object hierarchy is serialized for the specified target version of the .NET Framework.

Namespace:  System.Configuration
Assembly:  System.Configuration (in System.Configuration.dll)

protected internal virtual bool ShouldSerializeSectionGroupInTargetVersion(
	FrameworkName targetFramework
)

Parameters

targetFramework
Type: System.Runtime.Versioning.FrameworkName

The target version of the .NET Framework.

Return Value

Type: System.Boolean
true if the current section group should be serialized; otherwise, false.

Each configuration section group that is created for the .NET Framework 4 and later versions must explicitly override this method and return true, but only if the section group is valid for the specified version of the .NET Framework. Existing configuration section groups that were created for earlier versions of the .NET Framework do not have to be changed.

The base type contains a default implementation of this method that always returns true. In other words, if a configuration section group implementer does not override this method, by default the configuration section group will be serialized for all framework versions.

.NET Framework

Supported in: 4.6, 4.5, 4

.NET Framework Client Profile

Supported in: 4
Was this page helpful?
(1500 characters remaining)
Thank you for your feedback
Show:
© 2015 Microsoft